Skip to content

Validate a VPK package attached to this request. The validation response will include the same information on dependent components as validation logs generated through the UI. For packages that include Vault Java SDK code, this checks checks code compilation and restrictions in use of the JDK. For example, new is not allowed for non-allowlisted classes. Learn more about Vault Java SDK limits and restrictions.

This endpoint does not import your package.

POST/api/{version}/services/package/actions/validate
NameDescription
Acceptapplication/json (default)

To upload the VPK file, use the multi-part attachment with the file component ”file={filename}”. The maximum allowed file size is 2GB.

curl -L -X POST -H 'Authorization: {Session_ID}' \ -H 'Accept: application/json' \ -F 'file=myFile.vpk' \ https://myvault.veevavault.com/api/v21.2/services/package/actions/validate
{ "responseStatus": "SUCCESS", "responseDetails": { "summary": "Auto Claims Linking Config", "author": "jennie@veepharm.com", "package_name": "PKG-0004-2", "package_id": "N/A", "source_vault": "51577", "package_status": "Blocked", "total_steps": 2, "total_steps_blocked": 1, "start_time": "07:05:2020 06:24:15", "end_time": "07:05:2020 06:24:15", "package_error": "", "package_steps": [ { "name__v": "00010", "step_type__v": "Component", "step_label__v": "Claim Targets", "step_name__v": "annotation_keyword_targets__sys", "type__v": "Object", "deployment_status__v": "Verified", "deployment_action": "Update", "dependencies": [ { "component_name": "annotation_keyword_targets__sys.base__v", "component_type": "Objecttype", "subcomponent_name": "", "subcomponent_type": "", "status": "In Target" }, { "component_name": "default_status__v", "component_type": "Picklist", "subcomponent_name": "", "subcomponent_type": "", "status": "In Target" } ] }, { "name__v": "00020", "step_type__v": "Component", "step_label__v": "Claims Document", "step_name__v": "claims_document__c", "type__v": "Doctype", "deployment_status__v": "Blocked", "deployment_action": "Add (missing in Vault)", "dependencies": [ { "component_name": "document_creation_date__v", "component_type": "Docfield", "subcomponent_name": "", "subcomponent_type": "", "status": "In Target" }, { "component_name": "reference_documents__c", "component_type": "Doclifecycle", "subcomponent_name": "", "subcomponent_type": "", "status": "In Target" }, { "component_name": "product__v", "component_type": "Docfield", "subcomponent_name": "", "subcomponent_type": "", "status": "In Target" }, { "component_name": "air_bulk_03__c", "component_type": "Renditiontype", "subcomponent_name": "", "subcomponent_type": "", "status": "Missing - Block" }, { "component_name": "country__v", "component_type": "Docfield", "subcomponent_name": "", "subcomponent_type": "", "status": "In Target" } ] } ] } }